"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/defineProperty"));

var _objectSpread3 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/objectSpread"));

var _lodash = _interopRequireDefault(require("lodash.omitby"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _withStateHandlers = _interopRequireDefault(require("recompose/withStateHandlers"));

var _withHandlers = _interopRequireDefault(require("recompose/withHandlers"));

var isNil = function isNil(val) {
  return val === null || val === undefined;
};

var del = function del(fields, key) {
  var newFields = (0, _objectSpread3.default)({}, fields);
  delete newFields[key];
  return newFields;
};

var withFilePickers = function withFilePickers() {
  var initialFilePickers = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return function (Cmp) {
    return (0, _compose.default)((0, _withStateHandlers.default)(function (props) {
      return {
        filePickers: typeof initialFilePickers === 'function' ? initialFilePickers(props) : initialFilePickers
      };
    }, {
      clearFilePickers: function clearFilePickers() {
        return function () {
          return {
            filePickers: {}
          };
        };
      },
      setFilePickers: function setFilePickers() {
        return function (payload) {
          return {
            filePickers: (0, _lodash.default)(payload, isNil)
          };
        };
      },
      setFilePicker: function setFilePicker(_ref) {
        var filePickers = _ref.filePickers;
        return function (key, value) {
          return isNil(value) ? {
            filePickers: del(filePickers, key)
          } : {
            filePickers: (0, _objectSpread3.default)({}, filePickers, (0, _defineProperty2.default)({}, key, value))
          };
        };
      },
      deleteFilePicker: function deleteFilePicker(_ref2) {
        var filePickers = _ref2.filePickers;
        return function (key) {
          return {
            filePickers: del(filePickers, key)
          };
        };
      },
      mergeFilePickers: function mergeFilePickers(_ref3) {
        var filePickers = _ref3.filePickers;
        return function (payload) {
          return {
            filePickers: (0, _lodash.default)((0, _objectSpread3.default)({}, filePickers, payload), isNil)
          };
        };
      }
    }), (0, _withHandlers.default)({
      filePicker: function filePicker(_ref4) {
        var filePickers = _ref4.filePickers;
        return function (key) {
          return filePickers[key];
        };
      },
      filePickerHandler: function filePickerHandler(_ref5) {
        var filePickers = _ref5.filePickers,
            setFilePickers = _ref5.setFilePickers;
        return function (_ref6) {
          var target = _ref6.target;
          var newFilePickers = (0, _objectSpread3.default)({}, filePickers);

          if (target.value !== '') {
            newFilePickers[target.name] = target.files;
          } else {
            delete newFilePickers[target.name];
          }

          setFilePickers((0, _lodash.default)(newFilePickers, isNil));
        };
      }
    }))(Cmp);
  };
};

var _default = withFilePickers;
exports.default = _default;