"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _actions = require("./actions");

var _asyncMapReducer = _interopRequireDefault(require("./async-map-reducer"));

test('asyncMapReducer', function () {
  var s;
  s = (0, _asyncMapReducer.default)();
  expect(s).toEqual({});
  s = (0, _asyncMapReducer.default)(s, (0, _actions.fetchPageRequest)());
  expect(s).toEqual({
    page: true
  });
  s = (0, _asyncMapReducer.default)(s, (0, _actions.asyncRequest)('hey'));
  expect(s).toEqual({
    page: true,
    hey: true
  });
  s = (0, _asyncMapReducer.default)(s, (0, _actions.navigation)());
  expect(s).toEqual({
    page: true
  });
  s = (0, _asyncMapReducer.default)(s, (0, _actions.fetchPageSuccess)());
  expect(s).toEqual({});
  s = (0, _asyncMapReducer.default)(s, (0, _actions.fetchPageRequest)());
  expect(s).toEqual({
    page: true
  });
  s = (0, _asyncMapReducer.default)(s, (0, _actions.fetchPageFailure)());
  expect(s).toEqual({});
  s = (0, _asyncMapReducer.default)(s, (0, _actions.asyncRequest)('success-case'));
  expect(s).toEqual({
    'success-case': true
  });
  s = (0, _asyncMapReducer.default)(s, (0, _actions.asyncSuccess)({
    asyncKey: 'success-case'
  }));
  expect(s).toEqual({});
  s = (0, _asyncMapReducer.default)(s, (0, _actions.asyncRequest)('failure-case'));
  expect(s).toEqual({
    'failure-case': true
  });
  s = (0, _asyncMapReducer.default)(s, (0, _actions.asyncFailure)({
    asyncKey: 'failure-case'
  }));
  expect(s).toEqual({});
});