"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pageDataClearReduction = exports.pageDataClearInvalidFieldsReduction = exports.pageDataDeleteReduction = exports.pageDataAddInvalidFieldsReduction = exports.pageDataAddReductionFromDataProp = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/objectSpread"));

var _pageDataOperations = require("./page-data-operations");

var pageDataAddReductionFromDataProp = function pageDataAddReductionFromDataProp(payload) {
  return function (state) {
    return (0, _pageDataOperations.pageDataAddOperation)(state, (0, _objectSpread2.default)({}, payload.data));
  };
};

exports.pageDataAddReductionFromDataProp = pageDataAddReductionFromDataProp;

var pageDataAddInvalidFieldsReduction = function pageDataAddInvalidFieldsReduction(payload) {
  return function (state) {
    return (0, _pageDataOperations.pageDataAddOperation)(state, {
      invalidFields: payload
    });
  };
};

exports.pageDataAddInvalidFieldsReduction = pageDataAddInvalidFieldsReduction;

var pageDataDeleteReduction = function pageDataDeleteReduction(key) {
  return function (state) {
    return (0, _pageDataOperations.pageDataDeleteOperation)(state, key);
  };
};

exports.pageDataDeleteReduction = pageDataDeleteReduction;

var pageDataClearInvalidFieldsReduction = function pageDataClearInvalidFieldsReduction() {
  return function (state) {
    return (0, _pageDataOperations.pageDataDeleteOperation)(state, 'invalidFields');
  };
};

exports.pageDataClearInvalidFieldsReduction = pageDataClearInvalidFieldsReduction;

var pageDataClearReduction = function pageDataClearReduction() {
  return function () {
    return (0, _pageDataOperations.pageDataClearOperation)();
  };
};

exports.pageDataClearReduction = pageDataClearReduction;